# Uses of Class
org.eclipse.jface.util.PropertyChangeEvent

Packages that use PropertyChangeEvent
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.internal
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.internal
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.

## Uses of PropertyChangeEvent in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
CompareEditorInput.`firePropertyChange(PropertyChangeEvent event)`
Fires the given property change event to all listeners registered with this compare editor input.

## Uses of PropertyChangeEvent in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
ContentMergeViewer.`handlePropertyChangeEvent(PropertyChangeEvent event)`
Callback that is invoked when a property in the compare configuration (`ContentMergeViewer.getCompareConfiguration()` changes.
`protected void`
TextMergeViewer.`handlePropertyChangeEvent(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`static void`
Utilities.`firePropertyChange(ListenerList<IPropertyChangeListener> listenerList, PropertyChangeEvent event)`
`protected void`
MergeSourceViewer.`handlePropertyChangeEvent(PropertyChangeEvent event)`
handle show/hide line numbers from editor preferences
`void`
ChangeCompareFilterPropertyAction.`propertyChange(PropertyChangeEvent event)`
`void`
ChangePropertyAction.`propertyChange(PropertyChangeEvent event)`
`void`
CompareDialog.`propertyChange(PropertyChangeEvent event)`
`void`
CompareEditor.`propertyChange(PropertyChangeEvent event)`
`void`
CompareOutlinePage.`propertyChange(PropertyChangeEvent event)`
`void`
ShowWhitespaceAction.`propertyChange(PropertyChangeEvent event)`
`void`
TextEditorPropertyAction.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
DiffTreeViewer.`propertyChange(PropertyChangeEvent event)`
Tracks property changes of the configuration object.
`protected void`
StructureDiffViewer.`propertyChange(PropertyChangeEvent event)`
Tracks property changes of the configuration object.

## Uses of PropertyChangeEvent in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
AbstractMemoryRendering.`firePropertyChangedEvent(PropertyChangeEvent event)`
Fires the given event to all registered listeners.
`void`
AbstractTableRendering.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected final void`
AbstractAction.`firePropertyChange(PropertyChangeEvent event)`
Notifies any property change listeners that a property has changed.

## Uses of PropertyChangeEvent in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`void`
FieldEditorPreferencePage.`propertyChange(PropertyChangeEvent event)`
The field editor preference page implementation of this `IPreferencePage` (and `IPropertyChangeListener`) method intercepts `IS_VALID` events but passes other events on to its superclass.

## Uses of PropertyChangeEvent in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`void`
DefaultHyperlinkPresenter.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`void`
IPropertyChangeListener.`propertyChange(PropertyChangeEvent event)`
Notification that a property has changed.

## Uses of PropertyChangeEvent in org.eclipse.jface.window

Methods in org.eclipse.jface.window with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
Window.`handleFontChange(PropertyChangeEvent event)`
Notifies of a font property change.

## Uses of PropertyChangeEvent in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
HistoryPageCompareEditorInput.`handlePropertyChange(PropertyChangeEvent event)`
Handle a property change event from the history page.

## Uses of PropertyChangeEvent in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`void`
SynchronizationContentProvider.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
AbstractSynchronizeScope.`firePropertyChangedEvent(PropertyChangeEvent event)`
Fires the given property change event to all registered listeners.
`void`
SubscriberParticipant.`propertyChange(PropertyChangeEvent event)`
`void`
WorkingSetScope.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
SubActionBars.`firePropertyChange(PropertyChangeEvent event)`
Notifies any property change listeners that a property has changed.

## Uses of PropertyChangeEvent in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
LabelRetargetAction.`propagateChange(PropertyChangeEvent event)`
The action handler has changed.
`protected void`
RetargetAction.`propagateChange(PropertyChangeEvent event)`
Either the action handler itself has changed, or the configured action handlers on the action bars have changed.

## Uses of PropertyChangeEvent in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`void`
TextConsolePage.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
TextEditor.`handlePreferenceStoreChanged(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
WorkbenchPartReference.`firePartPropertyChange(PropertyChangeEvent event)`
`protected void`
WorkbenchPartReference.`partPropertyChanged(PropertyChangeEvent event)`
`void`
AggregateWorkingSet.`propertyChange(PropertyChangeEvent event)`

## Uses of PropertyChangeEvent in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected boolean`
MultiPageEditorPart.`isUpdateRequired(PropertyChangeEvent event)`
Determines whether an update is required based on a property change event.

## Uses of PropertyChangeEvent in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected boolean`
AbstractTextEditor.`affectsTextPresentation(PropertyChangeEvent event)`
Determines whether the given preference change affects the editor's presentation.
`protected void`
AbstractDecoratedTextEditor.`handlePreferenceStoreChanged(PropertyChangeEvent event)`
`protected void`
AbstractTextEditor.`handlePreferenceStoreChanged(PropertyChangeEvent event)`
Handles a property change event describing a change of the editor's preference store and updates the preference related editor properties.
`protected void`
SourceViewerDecorationSupport.`handlePreferenceStoreChanged(PropertyChangeEvent event)`
`protected void`
InfoForm.`handlePropertyChange(PropertyChangeEvent event)`
Deprecated.

## Uses of PropertyChangeEvent in org.eclipse.ui.views.framelist

Methods in org.eclipse.ui.views.framelist with parameters of type PropertyChangeEvent
Modifier and Type
Method
Description
`protected void`
FrameList.`firePropertyChange(PropertyChangeEvent event)`
Notifies any property change listeners that a property has changed.
`protected void`
FrameAction.`handlePropertyChange(PropertyChangeEvent event)`
Handles a property change event from the frame list.
`protected void`
TreeViewerFrameSource.`handlePropertyChange(PropertyChangeEvent event)`
Handles a property change event from the frame list.